namespace Hawkeye.VisionBuilder.Workflow;

public class BaseOperationDecorator
{
    private readonly BaseOperation _baseOperation;

    public BaseOperationDecorator(BaseOperation baseOperation)
    {
        _baseOperation = baseOperation;
    }

    
    public bool Result => Operation.Result;
    public string ResultString => Operation.ToString();
    public string TypeName => Operation.TypeName;
    public string Label
    {
        get => Operation.Label;
        set => Operation.Label = value;
    }

    public string ExecutionTimeString => Operation.ExecutionTimeString;

    public BaseOperation Operation => _baseOperation;

    public bool IsEnabled
    {
        get => _baseOperation.Enabled;
        set => _baseOperation.Enabled = value;
    }
}